www.cendio.com
Bug 5637 - Misleading image and description about "ThinLinc Cluster HA Setup"
: Misleading image and description about "ThinLinc Cluster HA Setup"
Status: CLOSED FIXED
: ThinLinc
Documentation
: 4.1.0
: PC Unknown
: P2 Normal
: 4.6.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-09-10 13:25 by
Modified: 2016-12-05 14:55 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-09-10 13:25:34
Figure 6.2, "A ThinLinc Cluster HA Setup" and Chapter 6.1.3, "Theory of
Operation" are misleading as they describe more than what the ThinLinc HA
system can offer. 

The chapter and image can easily give you the impression that ThinLinc will
manage the "service" IP intended to move between the both master servers in the
HA setup.

We should clarify that ThinLinc HA only takes care of syncronizing the session
database between two master servers, and how you can use it together with a
"normal" HA system that takes care of shuffling IP:s around in order to achieve
a complete solution.
------- Comment #2 From cendio 2016-03-17 12:14:51 -------
>@@ -174,6 +182,8 @@
>           there is also a third IP address that is active only on the node
>           currently responsible for the VSM server service. This is the so
>+          ThinLinc does not handle this switch of addresses, supplementary
>+          software is required for this purpose.

Normally a HA resource is identified by an additional IP address usually named
as virtual / resource ip. Which is moving between the involved servers in a HA
setup.

This paragraph feels a bit strange due to technically, addresses is not
switching place but only one is moved. Maybe formulate this text to something
inline with:

  ThinLinc does not move this resource ip between servers, ...

> there is also a third IP address that is active only on the node
> currently responsible for the VSM server service. This is the so
> called HA address, the address the clients are connecting to

The term HA address is more commonly referred to as virtual / resource IP.
Personally i prefer resource ip over virtual ip.
------- Comment #4 From cendio 2016-03-17 16:05:22 -------
(In reply to comment #2)
> Normally a HA resource is identified by an additional IP address usually named
> as virtual / resource ip. Which is moving between the involved servers in a HA
> setup.
> 
> This paragraph feels a bit strange due to technically, addresses is not
> switching place but only one is moved. Maybe formulate this text to something
> inline with:
> 
>   ThinLinc does not move this resource ip between servers, ...

Good point, fixed.
------- Comment #6 From cendio 2016-03-18 10:40:18 -------
Looks good, closing.